Create a new FlexCache volume for an FSx system
POST /flexcache/fsx
Creates a new FlexCache volume in an FSx system.
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
cacheVolumePercentage |
integer |
True |
FlexCache volume percentage |
destinationIpSpace |
string |
False |
Destination IPspace |
destinationSvmName |
string |
True |
Destination SVM name |
destinationWorkingEnvironmentId |
string |
True |
Destination system ID |
nameForSingleVolume |
string |
False |
FlexCache volume name for a single volume |
namePrefix |
string |
False |
FlexCache name prefix |
nameSuffix |
string |
False |
FlexCache name suffix |
replicateNfsCifsShares |
boolean |
True |
Replicate NFS and CIFS shares as source volume |
sourceIpSpace |
string |
False |
Source IPspace |
sourceSvmName |
string |
True |
Source SVM name |
sourceVolumes |
array[string] |
True |
Names of source volumes |
sourceWorkingEnvironmentId |
string |
True |
Source system ID |
Example request
{
"cacheVolumePercentage": 0,
"destinationIpSpace": "string",
"destinationSvmName": "string",
"destinationWorkingEnvironmentId": "string",
"nameForSingleVolume": "string",
"namePrefix": "string",
"nameSuffix": "string",
"replicateNfsCifsShares": false,
"sourceIpSpace": "string",
"sourceSvmName": "string",
"sourceVolumes": [
"string"
],
"sourceWorkingEnvironmentId": "string"
}
Error
Status: Default, Default response